Bug 1015361 - Bug: Correct endpoints information for memcached, hot rod and REST
Bug: Correct endpoints information for memcached, hot rod and REST
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity high
: GA
: One-off release
Assigned To: Misha H. Ali
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 22:55 EDT by Misha H. Ali
Modified: 2013-10-08 23:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 23:03:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2013-10-03 22:55:39 EDT
Description of problem:

Minor fix for JDG 6.1 documentation about security using endpoints.

DFJ: 
I think there has been some confusion, as noted in bug 818031. We need to:

* Update the docs to reflect the fact that REST has authentication enabled by default, and is exposed on the public interface by default, which is expected.
* Do nothing in the docs for memcache, as it needs to be restricted to the management interface by default.
* Determine whether Hot Rod does indeed have authentication enabled by default - If so, the current docs should be removed. if not, it needs to be restricted to the management interface by default and the current docs can stay in place.
Comment 1 Misha H. Ali 2013-10-03 22:56:35 EDT
Scoped as a one-off bug fix update for the 6.1 Developer Guide.
Comment 3 Misha H. Ali 2013-10-03 23:58:49 EDT
Scope:

In frozen dev guide[1] for JDG 6.1:

* For REST:
 - Remove topic "9.8.1. Publish REST Endpoints as a Public Interface" since they are already public by default.
 - Note somewhere prominent within the topic "Enable Security for the REST Endpoint" that REST is public as a default.

* For Memcached:
 - do nothing to http://docbuilder.usersys.redhat.com/14115/#Publish_Memcached_Endpoints_as_a_Public_Interface

* For Hot Rod:
 - Remove "11.10.1. Publish Hot Rod Endpoints as a Public Interface" since it is also already public.

[1] - http://docbuilder.usersys.redhat.com/14115/

DFJ, can you confirm the above are correct for the situation in 6.1?

(Note: None of these changes apply to 6.2, which is being discussed separately)
Comment 4 David Jorm 2013-10-04 02:05:49 EDT
Correct except I think we also need to remove the content for memcached, as it is also public by default.
Comment 5 Misha H. Ali 2013-10-04 02:07:42 EDT
Thanks, David.

I'll fix these up and brew first thing Tuesday so we have the day to get your feedback and then push the changes live EOD Tuesday.
Comment 7 David Jorm 2013-10-08 03:15:18 EDT
Looks good.
Comment 8 Misha H. Ali 2013-10-08 20:16:51 EDT
Tagged live, waiting for the final version to appear on access.redhat.com.
Comment 9 Misha H. Ali 2013-10-08 23:03:28 EDT
Changes have appeared on access.redhat.com here:

https://access.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Data_Grid/6.1/html/Developer_Guide/

Note You need to log in before you can comment on or make changes to this bug.